Package ru.bitel.bgbilling.common

# Class PhoneUtils

java.lang.Object
ru.bitel.bgbilling.common.PhoneUtils

    public class PhoneUtils
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PhoneUtils()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.lang.String` | `getPhones​(PhoneParamValue value, java.lang.String formats)` | Получить результирующую строку параметра типа телефон
  `static java.lang.String` | `getPhones​(EntityAttrPhone value, java.lang.String formats)` | Получить результирующую строку параметра типа телефон
  `static java.lang.String` | `phoneToFormat​(java.lang.String formats, java.lang.String value)` |
  `static java.lang.String` | `phoneToFormat​(java.util.Map<java.lang.Integer,​java.util.List<java.lang.String>> prefixs, java.lang.String value)` |
  `static java.util.Map<java.lang.Integer,​java.util.List<java.lang.String>>` | `prefixMap​(java.lang.String formats)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PhoneUtils

    public PhoneUtils()

- ## Method Details

  - ### getPhones

    public static final java.lang.String getPhones​(PhoneParamValue value, java.lang.String formats)
    Получить результирующую строку параметра типа телефон
    Parameters:
      `value` - - параметр телефона.
      `formats` -
    Returns:
      форматированную строку.

  - ### getPhones

    public static final java.lang.String getPhones​(EntityAttrPhone value, java.lang.String formats)
    Получить результирующую строку параметра типа телефон
    Parameters:
      `value` - - параметр телефона.
      `formats` -
    Returns:
      форматированную строку.

  - ### phoneToFormat

    public static java.lang.String phoneToFormat​(java.lang.String formats, java.lang.String value)

  - ### prefixMap

    public static java.util.Map<java.lang.Integer,​java.util.List<java.lang.String>> prefixMap​(java.lang.String formats)

  - ### phoneToFormat

    public static java.lang.String phoneToFormat​(java.util.Map<java.lang.Integer,​java.util.List<java.lang.String>> prefixs, java.lang.String value)